Subject: Porting eggdrop 1.3.xx - SOLVED !
From: [email-masked] (Hugo Leote)

9 Dec 1998 04:47:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Thanks to the help of four very nice people, my porting problem is now
solved. 
I just had to change one line (line 29) in src/Makefile :

from:
	${LD} -o ../eggdrop ${OBJS} ${XLIBS} mod/*.o
to:
	${LD} -o ../eggdrop ${OBJS} mod/*.o ${XLIBS}

I used a source package that was meant for unix systems and
now the ported program works. I find this absolutely *AMAZING*. 

Thanks again !
Hugo

(original problem follows)
> Hugo Leote wrote:
> 
> > I'm one step away from compiling eggdrop1.3.22 sucessfully with cygwin32.
> > Unfortunately I still get the following linking problem:
> > 
> > *****************************************
> > 
> > Linking eggdrop...(statically)
> > 
> > gcc -o ../eggdrop botcmd.o botmsg.o botnet.o chanprog.o cmds.o dcc.o dccutil.o f
> > lags.o language.o main.o mem.o misc.o modules.o net.o tcl.o tcldcc.o tclhash.o t
> > clmisc.o tcluser.o userent.o userrec.o users.o -L/cygnus/cygwin-b20/H-i586-cygwi
> > n32/lib -ltcl80 -lm  mod/*.o
> > mod/server.o: In function `tcl_eggserver':
> > /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:543:
> >  undefined reference to `Tcl_DStringInit'
> > /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:548:
> >  undefined reference to `Tcl_DStringAppendElement'
> > /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:552:
> >  undefined reference to `Tcl_DStringFree'
> > collect2: ld returned 1 exit status
> > make[1]: *** [static] Error 1
> > make: *** [static] Error 2
> > 
> > ******************************************
> > 
> > So far, I've been unable to find out why these three TCL functions are not
> > recognized because they appear to be included in libtcl80.a .
> 

,~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~,
|      Hugo Leote                                           /
|      [email-masked]                           /
|      Electronics & Computers Engineering Student         \
|      IST - Instituto Superior Tecnico, Lisbon, Portugal   \
`~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~`

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".